Bug 1205119 - (CVE-2022-43548) VUL-0: CVE-2022-43548: nodejs14,nodejs16: DNS rebinding in --inspect via invalid octal IP address
(CVE-2022-43548)
VUL-0: CVE-2022-43548: nodejs14,nodejs16: DNS rebinding in --inspect via inva...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Adam Majer
Security Team bot
https://smash.suse.de/issue/347267/
CVSSv3.1:SUSE:CVE-2022-43548:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-07 08:09 UTC by Marcus Meissner
Modified: 2023-01-26 16:06 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2022-11-07 08:09:01 UTC
https://nodejs.org/en/blog/vulnerability/november-2022-security-releases/

DNS rebinding in --inspect via invalid octal IP address (Medium) (CVE-2022-43548)

The Node.js rebinding protector for --inspect still allows invalid IP address, specifically, the octal format. An example of an octal IP address is 1.09.0.0, the 09 octet is invalid because 9 is not a number in the base 8 number system. Browsers such as Firefox (tested on latest version m105) will still attempt to resolve this invalid octal address via DNS. When combined with an active --inspect session, such as when using VSCode, an attacker can perform DNS rebinding and execute arbitrary code

Thank you to @haxatron1 for reporting this vulnerability.

Impacts:

    All versions of the v14.x, v16.x, v18.x, and v19.x releases lines.
Comment 1 OBSbugzilla Bot 2022-11-07 11:35:02 UTC
This is an autogenerated message for OBS integration:
This bug (1205119) was mentioned in
https://build.opensuse.org/request/show/1034144 Factory / nodejs19
https://build.opensuse.org/request/show/1034145 Factory / nodejs18
Comment 2 OBSbugzilla Bot 2022-11-07 15:35:04 UTC
This is an autogenerated message for OBS integration:
This bug (1205119) was mentioned in
https://build.opensuse.org/request/show/1034211 Factory / nodejs18
https://build.opensuse.org/request/show/1034212 Factory / nodejs19
Comment 5 Swamp Workflow Management 2022-11-14 17:23:50 UTC
SUSE-SU-2022:3968-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Web Scripting 12 (src):    nodejs14-14.21.1-6.37.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-11-14 17:24:28 UTC
SUSE-SU-2022:3967-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Web Scripting 12 (src):    nodejs16-16.18.1-8.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-11-15 17:22:37 UTC
SUSE-SU-2022:3989-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Web Scripting 12 (src):    nodejs12-12.22.12-1.57.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-11-15 20:36:07 UTC
SUSE-SU-2022:4003-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    nodejs16-16.18.1-150400.3.12.1
SUSE Linux Enterprise Module for Web Scripting 15-SP4 (src):    nodejs16-16.18.1-150400.3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-11-18 20:39:17 UTC
SUSE-SU-2022:4084-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    nodejs16-16.18.1-150300.7.15.1
SUSE Linux Enterprise Module for Web Scripting 15-SP3 (src):    nodejs16-16.18.1-150300.7.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-11-28 14:33:30 UTC
SUSE-SU-2022:4254-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    nodejs12-12.22.12-150200.4.41.2
openSUSE Leap 15.3 (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Manager Server 4.1 (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Manager Retail Branch Server 4.1 (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Manager Proxy 4.1 (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Linux Enterprise Server 15-SP2-BCL (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Linux Enterprise Module for Web Scripting 15-SP3 (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    nodejs12-12.22.12-150200.4.41.2
SUSE Enterprise Storage 7 (src):    nodejs12-12.22.12-150200.4.41.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2022-11-28 14:36:44 UTC
SUSE-SU-2022:4255-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    nodejs14-14.21.1-150200.15.40.2
openSUSE Leap 15.3 (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Manager Server 4.1 (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Manager Retail Branch Server 4.1 (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Manager Proxy 4.1 (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Linux Enterprise Server 15-SP2-BCL (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Linux Enterprise Module for Web Scripting 15-SP3 (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    nodejs14-14.21.1-150200.15.40.2
SUSE Enterprise Storage 7 (src):    nodejs14-14.21.1-150200.15.40.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2022-12-01 11:24:52 UTC
SUSE-SU-2022:4301-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1205119
CVE References: CVE-2022-43548
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    nodejs10-10.24.1-150000.1.53.1
openSUSE Leap 15.3 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Manager Server 4.1 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Manager Retail Branch Server 4.1 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Manager Proxy 4.1 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server for SAP 15 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise Server 15-LTSS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Enterprise Storage 7 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE Enterprise Storage 6 (src):    nodejs10-10.24.1-150000.1.53.1
SUSE CaaS Platform 4.0 (src):    nodejs10-10.24.1-150000.1.53.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.